SC
Date: 2019-10-22

org.jmol.api

## Interface SC

- All Known Implementing Classes:
    AbstractButton, AwtSwingComponent, JButton, JCheckBox, JCheckBoxMenuItem, JComboBox, JMenu, JMenuItem, JPopupMenu, JRadioButtonMenuItem

      public interface SC

  SwingComponent interface common to javax.swing and org.jmol.awtjs.swing Can be augmented as needed, provided classes of org.jmol.awtjs.swing are also updated. (SwingComponents in javajs are subclasses of AbstractButton.)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(SC item)`
    `void` | `addActionListener(java.lang.Object owner)`
    `void` | `addItemListener(java.lang.Object owner)`
    `void` | `addMouseListener(java.lang.Object owner)`
    `java.lang.String` | `getActionCommand()`
    `java.lang.Object` | `getComponent(int i)`
    `int` | `getComponentCount()`
    `java.lang.Object[]` | `getComponents()`
    `java.lang.Object` | `getIcon()`
    `java.lang.String` | `getName()`
    `java.lang.Object` | `getParent()`
    `java.lang.Object` | `getPopupMenu()`
    `java.lang.String` | `getText()`
    `void` | `init(java.lang.String text, java.lang.Object icon, java.lang.String actionCommand, SC popupMenu)`
    `void` | `insert(SC subMenu, int index)`
    `boolean` | `isEnabled()`
    `boolean` | `isSelected()`
    `void` | `remove(int i)`
    `void` | `removeAll()`
    `void` | `setActionCommand(java.lang.String script)`
    `void` | `setAutoscrolls(boolean b)`
    `void` | `setEnabled(boolean enable)`
    `void` | `setIcon(java.lang.Object icon)`
    `void` | `setName(java.lang.String string)`
    `void` | `setSelected(boolean state)`
    `void` | `setText(java.lang.String entry)`

- - ### Method Detail

    - #### add

          void add(SC item)

    - #### addActionListener

          void addActionListener(java.lang.Object owner)

    - #### addItemListener

          void addItemListener(java.lang.Object owner)

    - #### addMouseListener

          void addMouseListener(java.lang.Object owner)

    - #### getActionCommand

          java.lang.String getActionCommand()

    - #### getComponent

          java.lang.Object getComponent(int i)

    - #### getComponentCount

          int getComponentCount()

    - #### getComponents

          java.lang.Object[] getComponents()

    - #### getName

          java.lang.String getName()

    - #### getParent

          java.lang.Object getParent()

    - #### getPopupMenu

          java.lang.Object getPopupMenu()

    - #### getIcon

          java.lang.Object getIcon()

    - #### getText

          java.lang.String getText()

    - #### init

          void init(java.lang.String text,
                    java.lang.Object icon,
                    java.lang.String actionCommand,
                    SC popupMenu)

    - #### insert

          void insert(SC subMenu,
                      int index)

    - #### isEnabled

          boolean isEnabled()

    - #### isSelected

          boolean isSelected()

    - #### remove

          void remove(int i)

    - #### removeAll

          void removeAll()

    - #### setActionCommand

          void setActionCommand(java.lang.String script)

    - #### setAutoscrolls

          void setAutoscrolls(boolean b)

    - #### setEnabled

          void setEnabled(boolean enable)

    - #### setIcon

          void setIcon(java.lang.Object icon)

    - #### setName

          void setName(java.lang.String string)

    - #### setSelected

          void setSelected(boolean state)

    - #### setText

          void setText(java.lang.String entry)